Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class ASTIdentifier

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.SimpleNode
            |
            +--org.apache.commons.jexl.parser.ASTIdentifier

All Implemented Interfaces:
  Node

public class ASTIdentifier
extends SimpleNode

Simple identifier - $foo or $foo.bar (both parts are identifiers...)

Version:
  $Id: ASTIdentifier.java,v 1.6 2004/02/28 13:45:20 yoavs Exp $

Field Summary
`protected String` | `val`

Fields inherited from class org.apache.commons.jexl.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTIdentifier(int id)`
`ASTIdentifier(Parser p, int id)`

Method Summary
`Object` | `execute(Object obj, JexlContext jc)` returns the value of itself applied to the object.
`String` | `getIdentifierString()`
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `value(JexlContext jc)` Returns the value of the node.

Methods inherited from class org.apache.commons.jexl.parser.SimpleNode
`childrenAccept, dump, interpret, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    protected String val

Constructor Detail

### ASTIdentifier

    public ASTIdentifier(int id)

### ASTIdentifier

    public ASTIdentifier(Parser p,
                         int id)

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.
  Overrides:
    `jjtAccept` in class `SimpleNode`

### value

    public Object value(JexlContext jc)
                 throws Exception

  Description copied from class: `SimpleNode`
  Returns the value of the node.
  Overrides:
    `value` in class `SimpleNode`

### execute

    public Object execute(Object obj,
                          JexlContext jc)
                   throws Exception

  returns the value of itself applied to the object. We assume that an identifier can be gotten via a get(String)
  Overrides:
    `execute` in class `SimpleNode`

### getIdentifierString

    public String getIdentifierString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.